> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# OpenAI Inference Proxy PATCH

PATCH https://host.com/apis/inference-gateway/v2/workspaces/{workspace}/openai/-/{trailing_uri}
Content-Type: application/json

Proxy requests to OpenAI-compatible inference endpoints.

All inference requests must resolve to a `VirtualModel`. The platform's
provider reconciler auto-creates an implicit `autoprovisioned` VirtualModel
for every served model entity (named after the entity, with
`default_model_entity` set to the entity ref) so this is the typical case;
operators can also create custom VirtualModels for routing, plugin chains,
LoRA escape-hatches, etc. Requests for which no VirtualModel can be found
return `404`.

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/inference-gateway/openai-proxy-patch

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/inference-gateway/v2/workspaces/{workspace}/openai/-/{trailing_uri}:
    patch:
      operationId: openai-proxy-patch
      summary: OpenAI Inference Proxy PATCH
      description: >-
        Proxy requests to OpenAI-compatible inference endpoints.


        All inference requests must resolve to a `VirtualModel`. The platform's

        provider reconciler auto-creates an implicit `autoprovisioned`
        VirtualModel

        for every served model entity (named after the entity, with

        `default_model_entity` set to the entity ref) so this is the typical
        case;

        operators can also create custom VirtualModels for routing, plugin
        chains,

        LoRA escape-hatches, etc. Requests for which no VirtualModel can be
        found

        return `404`.
      tags:
        - subpackage_inferenceGateway
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: trailing_uri
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Proxy PATCH request to OpenAI-compatible endpoint
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri';
const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/inference-gateway/v2/workspaces/workspace/openai/-/trailing_uri")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```